<main>
  <div class="container">
    <section class="box-shadow">
      <article>
        <h2>{{ title }}</h2>
      </article>
      <form [formGroup]="productForm" (ngSubmit)="onSubmit()">
        <div>
          <label for="name"><b>Name</b></label>
          <input
            class="form-name"
            [ngClass]="{ 'small-margin': productForm.get('name').errors }"
            formControlName="name"
            type="text"
            name="name"
            placeholder="Item name"
            required
          />
          <div class="error-message" *ngIf="productForm.get('name').errors">
            {{
              productForm.get("name").errors.required
                ? "This field is required"
                : productForm.get("name").errors.trimError.value
            }}
          </div>

          <label for="price"><b>Price</b></label>
          <input
            class="form-price"
            [ngClass]="{ 'small-margin': productForm.get('price').errors }"
            formControlName="price"
            type="number"
            name="price"
            placeholder="Item price"
            required
          />
          <div class="error-message" *ngIf="productForm.get('price').errors">
            This field is required
          </div>

          <label for="img"><b>Image</b></label>
          <select
            class="form-img"
            [ngClass]="{ 'small-margin': productForm.get('image').errors }"
            formControlName="image"
            name="image"
            required
          >
            <option *ngFor="let image of allImages" [value]="image.imageId">{{
              image.imageName
            }}</option>
          </select>
          <div class="error-message" *ngIf="productForm.get('image').errors">
            This field is required
          </div>

          <label for="sale"><b>Item on sale?</b></label>
          <input
            [ngModelOptions]="{ standalone: true }"
            [(ngModel)]="onSale"
            class="form-sale"
            type="checkbox"
            name="sale"
            placeholder="Item on sale?"
          />

          <div [hidden]="!onSale">
            <label for="discount"><b>Discount</b></label>
            <input
              class="form-discount"
              formControlName="discount"
              type="number"
              name="discount"
              placeholder="Discount amount"
            />
          </div>

          <button
            class="btn-form btn-add-item"
            type="submit"
            [disabled]="!productForm.valid"
          >
            {{ title }}
          </button>
          <button
            [hidden]="title === 'Add product'"
            (click)="onDelete()"
            class="btn-form btn-delete-item"
            type="button"
          >
            Delete product
          </button>
        </div>
      </form>
    </section>
  </div>
</main>
